org.eclipse.rdf4j.sail.shacl

## Class ShaclSailValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.sail.SailException
            - - org.eclipse.rdf4j.sail.shacl.ShaclSailValidationException

- All Implemented Interfaces:
    Serializable, ValidationException

      public class ShaclSailValidationException
      extends SailException
      implements ValidationException

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationReport` | `getValidationReport()` Deprecated. The returned ValidationReport is planned to be moved to a different package and this method is planned to return that class.
    `Model` | `validationReportAsModel()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### validationReportAsModel

          public Model validationReportAsModel()

      Specified by:
        `validationReportAsModel` in interface `ValidationException`
      Returns:
        A Model containing the validation report as specified by the SHACL Recommendation

    - #### getValidationReport

          @Deprecated
          public ValidationReport getValidationReport()

      Deprecated. The returned ValidationReport is planned to be moved to a different package and this method is planned to return that class.
      Returns:
        A ValidationReport Java object that describes what failed and can optionally be converted to a Model as specified by the SHACL Recommendation

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.